# Etudiant
Date: 2022-10-31

fr.iutfbleau.projetIHM2022FI2.API

## Interface Etudiant

All Superinterfaces:
  MonPrint

All Known Implementing Classes:
  EtudiantNP

    public interface Etudiant
    extends MonPrint

Un étudiant

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`int` `getId()` permet de récupérer l'identifiant de l'étudiant.
`java.lang.String` `getNom()` permet de récupérer
`java.lang.String` `getPrenom()` permet de récupérer
`default java.lang.String` `monPrint()` Fonctionne comme ToPrint() sauf car une interface n'a pas le droit de faire un override sur ToPrint().

### Method Detail

#### getId

    int getId()

permet de récupérer l'identifiant de l'étudiant.

Returns:
  l'identifiant.

#### getNom

    java.lang.String getNom()

permet de récupérer

Returns:
  le nom de l'étudiant.

#### getPrenom

    java.lang.String getPrenom()

permet de récupérer

Returns:
  le prénom de l'étudiant

#### monPrint

    default java.lang.String monPrint()

Description copied from interface: `MonPrint`
Fonctionne comme ToPrint() sauf car une interface n'a pas le droit de faire un override sur ToPrint(). Toutes nos interfaces vont étendre cette interface.

Specified by:
  `monPrint` in interface `MonPrint`
See Also:
  `NB. On n'utilise le mécanisme des méthodes par défaut pour donner du code dans une interface. C'est un petit peu laid et à contre-emploi mais pratique ici.`